Workflow
Update workflow notification channel
Update workflow-scoped notification channel. Only provided fields are updated.
PATCH
Documentation Index
Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
Use this file to discover all available pages before exploring further.
Path parameters
The unique identifier of the workflow.
The unique identifier of the notification channel to update.
Body
Updated channel description. Maximum 255 characters.
Updated list of event types to subscribe to.
| Value | Description |
|---|---|
job.scheduled | Job queued to run |
job.in_progress | Job has started |
job.completed | Job finished processing |
job.stopped | Job has stopped |
job.failed | Job failed to initialize without processing any files |
Whether the channel is active.
Updated webhook endpoint URL. Applies when
channel_type is webhook.Updated signing secret for verifying incoming webhook requests. Must be between 24 and 75 bytes (24 to 75 ASCII characters). Applies when
channel_type is webhook. Omit to keep the current value.Use this secret to verify incoming webhook requests. If you do not provide a secret, you cannot use secret-based verification for incoming webhook requests.Updated email delivery configuration. Applies when
channel_type is email.| Value | Required | Description |
|---|---|---|
recipient_email | yes | Email address to deliver notifications to. |
reply_to | Email address set as the reply-to header in notification emails. | |
cc | Additional email addresses to copy on notification emails. Array of strings. |
Response
Unique identifier for the channel.
Channel type:
webhook or email.Subscribed event types.
Whether the channel is active.
ISO 8601 timestamp when the channel was created.
ISO 8601 timestamp when the channel was last updated.
Channel description.
Webhook endpoint URL. Present when
channel_type is webhook.Email delivery configuration. Present when
channel_type is email.
